Skip to main content
GET
/
admin
/
agents
List All Agents Stats
curl --request GET \
  --url https://api.example.com/admin/agents \
  --header 'Authorization: Bearer <token>'
[
  {
    "agent_id": "<string>",
    "agent_name": "<string>",
    "tenant_id": "<string>",
    "tenant_name": "<string>",
    "status": "<string>",
    "total_calls": 123,
    "total_minutes": 123,
    "avg_call_duration": 123,
    "avg_sentiment": 123,
    "last_call_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0
tenant_id
string<uuid> | null

Filter by tenant

Response

Successful Response

agent_id
string
required
agent_name
string
required
tenant_id
string
required
tenant_name
string
required
status
string
required
total_calls
integer
required
total_minutes
number
required
avg_call_duration
number | null
required
avg_sentiment
number | null
required
last_call_at
string<date-time> | null
required
created_at
string<date-time>
required